//
// EmployeeMultiPartCodeChallengeBody.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct EmployeeMultiPartCodeChallengeBody: Codable {

    public var name: String
    public var lastName: String
    public var dateOfJoining: Date
    public var dateOfBirth: Date
    public var gender: String
    public var departmentName: String
    public var managerName: String

    public init(name: String, lastName: String, dateOfJoining: Date, dateOfBirth: Date, gender: String, departmentName: String, managerName: String) {
        self.name = name
        self.lastName = lastName
        self.dateOfJoining = dateOfJoining
        self.dateOfBirth = dateOfBirth
        self.gender = gender
        self.departmentName = departmentName
        self.managerName = managerName
    }

    public enum CodingKeys: String, CodingKey { 
        case name = "Name"
        case lastName = "LastName"
        case dateOfJoining = "DateOfJoining"
        case dateOfBirth = "DateOfBirth"
        case gender = "Gender"
        case departmentName = "DepartmentName"
        case managerName = "ManagerName"
    }

}
